cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/scim/v2/Schemas?attributes=SOME_STRING_VALUE&excludedAttributes=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"schemas": [
"<string>"
],
"totalResults": 123,
"Resources": [
{
"id": "<string>",
"attributes": [
{
"canonicalValues": [
"<string>"
],
"caseExact": true,
"description": "<string>",
"multiValued": true,
"mutability": "<string>",
"name": "<string>",
"referenceTypes": [
"<string>"
],
"required": true,
"returned": "<string>",
"subAttributes": "<array>",
"type": "<string>",
"uniqueness": "<string>"
}
],
"description": "<string>",
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": "<string>"
}
],
"itemsPerPage": 123,
"startIndex": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint may be used by any member of the organization.
GET
/
api
/
scim
/
v2
/
Schemas
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/scim/v2/Schemas?attributes=SOME_STRING_VALUE&excludedAttributes=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"schemas": [
"<string>"
],
"totalResults": 123,
"Resources": [
{
"id": "<string>",
"attributes": [
{
"canonicalValues": [
"<string>"
],
"caseExact": true,
"description": "<string>",
"multiValued": true,
"mutability": "<string>",
"name": "<string>",
"referenceTypes": [
"<string>"
],
"required": true,
"returned": "<string>",
"subAttributes": "<array>",
"type": "<string>",
"uniqueness": "<string>"
}
],
"description": "<string>",
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": "<string>"
}
],
"itemsPerPage": 123,
"startIndex": 123
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

